#include<bits/stdc++.h>
using namespace std;
int main ()
{
    ios_base::sync_with_stdio();
    cin.tie(0);
    cout.tie(0);
    long long a, b, k, ans=0;
    cin>>a>>b>>k;
    for(long long i=a;i<b;i++)
    {
        if((i+2)%k!=0 && (i+2)<=b){
            //br-=2;
          //  cout<<i<<" "<<i+2<<endl;
            i++;
            ans++;
        }
        else{
              //  cout<<i<<" "<<i+1<<endl;
           //br--;
           ans++;
        }
    }
    cout<<ans<<endl;
    return 0;
}

